## define srcver 1.0.0
%define	srcver	git
Name:		ksplice
Version:	1.0.0
Release:	1.1
Url:		https://github.com/jirislaby/ksplice
Summary:	Patch kernel without rebooting
Group:		System/Kernel
License:	GPLv2
Source0:	%{name}-%{srcver}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	binutils-devel
BuildRequires:	python
BuildRequires:	python-xml
%description
This set of tools serves the purpose of creating from a standard patch a
binary patch that can be applied to a running Linux kernel without a need of
rebooting.

It stops the kernel, performs necessary checks and applies the binary patch.
The kernel is then resumed with a new code running.

%package devel
Summary:	Ksplice development files	
Group:		Development/Tools/Building
Requires:	%{name}-%{version}-%{release}

%description devel
This set of tools serves the purpose of creating from a standard patch a
binary patch that can be applied to a running Linux kernel without a need of
rebooting.

It stops the kernel, performs necessary checks and applies the binary patch.
The kernel is then resumed with a new code running.

%prep
%setup -n %{name}-%{srcver}

%build
%configure
%__make

%install
%__make DESTDIR=%{buildroot} install

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README
%{_bindir}/ksplice-create
%{_libdir}/ksplice-inspect
%{_libdir}/ksplice-kernel-utsname
%{_libdir}/ksplice-objmanip
%{_sbindir}/ksplice-apply
%{_sbindir}/ksplice-undo
%{_sbindir}/ksplice-view
%{_mandir}/man8/ksplice-apply.8*
%{_mandir}/man8/ksplice-create.8*
%{_mandir}/man8/ksplice-undo.8*
%{_mandir}/man8/ksplice-view.8*

%files devel
%defattr(-,root,root)
%dir %{_datadir}/ksplice
%dir %{_datadir}/ksplice/kmodsrc
%dir %{_datadir}/ksplice/kmodsrc/x86
%dir %{_datadir}/ksplice/kmodsrc/x86/libudis86
%dir %{_datadir}/ksplice/kmodsrc/arm
%dir %{_datadir}/ksplice/ksplice-patch
%{_datadir}/ksplice/Ksplice.pm
%{_datadir}/ksplice/Makefile.ksplice
%{_datadir}/ksplice/Verbose.pm
%{_datadir}/ksplice/kmodsrc/Makefile
%{_datadir}/ksplice/kmodsrc/arm/ksplice-arch.c
%{_datadir}/ksplice/kmodsrc/ksplice-rmsyms.lds
%{_datadir}/ksplice/kmodsrc/ksplice.c
%{_datadir}/ksplice/kmodsrc/ksplice.h
%{_datadir}/ksplice/kmodsrc/ksplice.lds.S
%{_datadir}/ksplice/kmodsrc/new_code_loader.c
%{_datadir}/ksplice/kmodsrc/offsets.c
%{_datadir}/ksplice/kmodsrc/offsets.h
%{_datadir}/ksplice/kmodsrc/old_code_loader.c
%{_datadir}/ksplice/kmodsrc/x86/ksplice-arch.c
%{_datadir}/ksplice/kmodsrc/x86/libudis86/decode.c
%{_datadir}/ksplice/kmodsrc/x86/libudis86/decode.h
%{_datadir}/ksplice/kmodsrc/x86/libudis86/extern.h
%{_datadir}/ksplice/kmodsrc/x86/libudis86/input.c
%{_datadir}/ksplice/kmodsrc/x86/libudis86/input.h
%{_datadir}/ksplice/kmodsrc/x86/libudis86/itab.c
%{_datadir}/ksplice/kmodsrc/x86/libudis86/itab.h
%{_datadir}/ksplice/kmodsrc/x86/libudis86/syn-att.c
%{_datadir}/ksplice/kmodsrc/x86/libudis86/syn-intel.c
%{_datadir}/ksplice/kmodsrc/x86/libudis86/syn.c
%{_datadir}/ksplice/kmodsrc/x86/libudis86/syn.h
%{_datadir}/ksplice/kmodsrc/x86/libudis86/types.h
%{_datadir}/ksplice/kmodsrc/x86/libudis86/udis86.c
%{_datadir}/ksplice/kmodsrc/x86/udis86.h
%{_datadir}/ksplice/ksplice-cc.pl
%{_datadir}/ksplice/ksplice-obj.pl
%{_datadir}/ksplice/ksplice-patch/ksplice-patch.h
%{_datadir}/ksplice/ksplice-patch/ksplice-shadow.h

%changelog
* Sat Oct 12 2013 cs@linux-administrator.com
- initial package build
